Tutorial Framework
==================

## Building and running with magic starter

Execute the `tfw_magic_start.sh` script and it will automagically run a backend instance in Docker and serve the Angular frontend locally.

This requires the `tutorial-framework-wip` and `tutorial-framework-ng` repositories to have a common parent folder.

## Building and running with Docker

Simply issue `docker build -t tfw .` in the project root. The first build could take a while as it's compiling a fresh
Python package from source.

Run with `docker run --rm -p 8888:8888 -e AVATAO_SECRET=secret tfw`.

Running locally is possible with lots of pain involved, so this is no longer officially supported.

## Frontend

Place an `index.html` and related static files in `src/frontend/dist`, the web server will serve them.
